package com.bonus.core.customer.v4.web.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class ExportPsnTypeVO {
   @TableId
   @ExcelIgnore
   private Long id;
   @ExcelProperty({"用户类别编号"})
   private Integer psnType;
   @ApiModelProperty("用户类别名称")
   @ExcelProperty({"用户类别名称"})
   private String psnTypeName;
   @ApiModelProperty("创建时间")
   @ExcelProperty({"创建时间"})
   private LocalDateTime crtime;
   @ApiModelProperty("更新时间")
   @ExcelProperty({"更新时间"})
   private LocalDateTime uptime;
   @ExcelProperty({"创建人"})
   private String crby;
   @ExcelProperty({"更新人"})
   private String upby;

   public Long getId() {
      return this.id;
   }

   public Integer getPsnType() {
      return this.psnType;
   }

   public String getPsnTypeName() {
      return this.psnTypeName;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public String getCrby() {
      return this.crby;
   }

   public String getUpby() {
      return this.upby;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setPsnType(final Integer psnType) {
      this.psnType = psnType;
   }

   public void setPsnTypeName(final String psnTypeName) {
      this.psnTypeName = psnTypeName;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }



}
